Package org.eclipse.ui

# Interface IActionBars2

All Superinterfaces:
  `IActionBars`

All Known Implementing Classes:
  `SubActionBars2`

public interface IActionBars2 extends IActionBars
Interface extention to `IActionBars` that provides an additional cool bar manager.

Since:
  3.0
Restriction:
  This interface is not intended to be implemented by clients.

## Method Summary

Modifier and Type
Method
Description
`ICoolBarManager`
`getCoolBarManager()`
Returns the cool bar manager.

### Methods inherited from interface org.eclipse.ui.IActionBars

`clearGlobalActionHandlers, getGlobalActionHandler, getMenuManager, getServiceLocator, getStatusLineManager, getToolBarManager, setGlobalActionHandler, updateActionBars`

## Method Details

### getCoolBarManager

ICoolBarManager getCoolBarManager()
Returns the cool bar manager.

Note: Clients who add or remove items from the returned cool bar manager are responsible for calling `updateActionBars` so that the changes can be propagated throughout the workbench.

Returns:
  the cool bar manager.